Subject: Re: [net-next 10/13] net/mlx5e: Add support for XDP_REDIRECT in device-out side

From: Jesper Dangaard Brouer <[email-masked]>
Date: Mon, 30 Jul 2018 18:20:25 +0200

On Mon, 30 Jul 2018 16:09:47 +0300
Tariq Toukan <[email-masked]> wrote:

> On 30/07/2018 4:06 PM, Jesper Dangaard Brouer wrote:
> > 
> > On Mon, 30 Jul 2018 14:10:21 +0200 Jesper Dangaard Brouer <[email-masked]> wrote:
> >   
> >> On Thu, 26 Jul 2018 15:56:44 -0700 Saeed Mahameed <[email-masked]> wrote:
> >>  
> >>> +int mlx5e_xdp_xmit(struct net_device *dev, int n, struct xdp_frame **frames,
> >>> +		   u32 flags)
> >>> +{  
> > [...]  
> >>> +		xdpi.dma_addr = dma_map_single(sq->pdev, xdpf->data, xdpf->len,
> >>> +					       DMA_TO_DEVICE);
> >>> +		if (unlikely(dma_mapping_error(sq->pdev, xdpi.dma_addr))) {
> >>> +			drops++;  
> >>
> >> I think you are missing a xdp_return_frame_rx_napi(xdpf) here.  
> > 
> > I see it already got applied... I'll send a fixup later...
> >   
> 
> Yes it is applied, I can do it myself. Just let me know what you prefer.

I can take care of this.  I already have a patch ready.  And I'm eager
to test these patches and compare the performance to the results Toke
and I got for the article based on your earlier patches[1].

[1] https://git.kernel.org/pub/scm/linux/kernel/git/hawk/net-next-xdp.git/log/?h=xdp_paper01

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer